mime-0.4.0.2: Working with MIME types.

Copyright | (c) 2006-2009 Galois Inc.
License | BSD3
Maintainer | Sigbjorn Finne <sigbjorn.finne@gmail.com>
Stability | provisional
Portability |
Safe Haskell | Safe-Inferred
Language | Haskell98

Codec.MIME.QuotedPrintable

Description

To and from QP content encoding.

Synopsis

- decode :: String -> String
- encode :: String -> String

# Documentation

decode :: String -> String Source #

`decode` incoming quoted-printable content, stripping out soft line breaks and translating `=XY` sequences into their decoded byte/octet. The output encoding/representation is still a String, not a sequence of bytes.

encode :: String -> String Source #

`encode` converts a sequence of characeter _octets_ into quoted-printable form; suitable for transmission in MIME payloads. Note the stress on _octets_; it is assumed that you have already converted Unicode into a <=8-bit encoding (UTF-8, most likely.)